Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct
Class GenericNetwork.Coordinate

    java.lang.Object
      rice.pastry.direct.GenericNetwork.Coordinate

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  GenericNetwork

public static class GenericNetwork.Coordinate
extends java.lang.Object
implements java.io.Serializable

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`static int` | `GNPDIMENSIONS` DESCRIBE THE FIELD
`int` | `index` DESCRIBE THE FIELD
`double[]` | `pos` DESCRIBE THE FIELD

Constructor Summary
`GenericNetwork.Coordinate(int _index, double[] arr)` Constructor for Coordinate.

Method Summary
`double` | `distance(GenericNetwork.Coordinate o)` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### index

    public int index

  DESCRIBE THE FIELD

### pos

    public double[] pos

  DESCRIBE THE FIELD

### GNPDIMENSIONS

    public static int GNPDIMENSIONS

  DESCRIBE THE FIELD

Constructor Detail

### GenericNetwork.Coordinate

    public GenericNetwork.Coordinate(int _index,
                                     double[] arr)

  Constructor for Coordinate.

Parameters:
  `_index` - DESCRIBE THE PARAMETER
  `arr` - DESCRIBE THE PARAMETER

Method Detail

### distance

    public double distance(GenericNetwork.Coordinate o)

  DESCRIBE THE METHOD

  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.